Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JanosVM v0.5.1 Java API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.utah.janosvm.kit.comm.amiga
Class FaxPortHandle

    java.lang.Object
      |
      +--edu.utah.janosvm.sys.ListNode
            |
            +--edu.utah.janosvm.sys.Importable
                  |
                  +--edu.utah.janosvm.kit.comm.amiga.FaxPortHandle

Direct Known Subclasses:
  FaxPort

public class FaxPortHandle
extends Importable

Field Summary
`protected FaxPortBackEnd` | `be`

Fields inherited from class edu.utah.janosvm.sys.ListNode
`pred, succ`

Constructor Summary
`FaxPortHandle()`
`FaxPortHandle(TeamHandle team, java.lang.Object id)` Construct a FaxPortHandle handle that refers to a specific export in a team.

Method Summary
`protected void` | `bindTo(Exportable ex)` Bind this Importable to the given Exportable.
`void` | `putFacsimile(Facsimile fax)` Put a fax on the FaxPortBackEnd's queue.
`protected void` | `unbindFrom()` Unbind this Importable from any objects its referencing.

Methods inherited from class edu.utah.janosvm.sys.Importable
`copy, finalize`

Methods inherited from class edu.utah.janosvm.sys.ListNode
`append, clone, prepend, remove`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### be

    protected FaxPortBackEnd be

Constructor Detail

### FaxPortHandle

    public FaxPortHandle()

### FaxPortHandle

    public FaxPortHandle(TeamHandle team,
                         java.lang.Object id)
                  throws NoSuchExportException

  Construct a FaxPortHandle handle that refers to a specific export in a team.
  Parameters:
    `team` - The team to import the FaxPortBackEnd from.
    `id` - The identifier the FaxPortBackEnd is exported under.
  Throws:
    Throws - NoSuchExportException if the FaxPortBackEnd doesn't exist.

Method Detail

### bindTo

    protected void bindTo(Exportable ex)

  Description copied from class: Importable
  Bind this Importable to the given Exportable. The most common implementation of this method would be to cast the Exportable to the type that the Importable subclass handles and store it in the object as well as any other handy pointers/values.
  Overrides:
    bindTo in class Importable
  Tags copied from class: Importable
  Parameters:
    `ex` - The Exportable that is being imported.

### unbindFrom

    protected void unbindFrom()

  Description copied from class: Importable
  Unbind this Importable from any objects its referencing. The most common implementation of this method would be null out any object references in this object.
  Overrides:
    unbindFrom in class Importable

### putFacsimile

    public void putFacsimile(Facsimile fax)
                      throws DeadTeamException,
                             TeamEjectionException

  Put a fax on the FaxPortBackEnd's queue. This is done by visiting the team, cloning the Facsimile and then adding that to the queue.
  Parameters:
    `fax` - The facsimile to send to the other team.
  Throws:
    Throws - DeadTeamException if the visit fails.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JanosVM v0.5.1 Java API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This documentation is Copyright (C) 2000-2001 The University of Utah. All Rights Reserved. See the documentation license for distribution terms and restrictions.
Documentation, software, and mailing lists for the JanosVM can be found at the Janos Project web page: http://www.cs.utah.edu/flux/janos/
Generated on Jun 1, 2001